import { PipeTransform } from '@angular/core';
import { AbstractControl, FormArray, FormControl, FormGroup } from '@angular/forms';
import { SchemaKey } from '../schemas';
import * as i0 from "@angular/core";
/**
 * @internal
 */
export declare class FluentControlPipe implements PipeTransform {
    /**
     * 将 value 作为 key，获取 container 中的实例
     * @param value
     * @param container
     * @param type 用来重载方法的返回值
     */
    transform(value: SchemaKey | undefined, container: FormGroup | FormArray, type: 'control'): FormControl;
    transform(value: SchemaKey | undefined, container: FormGroup | FormArray, type: 'group'): FormGroup;
    transform(value: SchemaKey | undefined, container: FormGroup | FormArray, type: 'array'): FormArray;
    transform(value: SchemaKey | undefined, container: FormGroup | FormArray): AbstractControl;
    static ɵfac: i0.ɵɵFactoryDeclaration<FluentControlPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<FluentControlPipe, "control", true>;
}
