import { InjectionToken, Type } from '@angular/core';
import { SchemaConfig, TemplateDirectiveContainer } from './interfaces';
import { AbstractWidget } from './widgets';
export declare const WIDGET_MAP: InjectionToken<Map<string, Type<AbstractWidget<unknown>>>>;
export declare const SCHEMA_MAP: InjectionToken<Map<string, SchemaConfig<any>>>;
export declare const TEMPLATE_DIRECTIVE_CONTAINER: InjectionToken<TemplateDirectiveContainer>;
